<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
defined('_JEXEC') or die;

class BPortManModelProjects extends JModelList
{
	public function __construct($config = array())
	{
		if (empty($config['filter_fields']))
		{
			$config['filter_fields'] = array(
			    'catid', 'a.catid', 'category_title',
			    'id', 'a.id',
			    'b_project_id', 'a.b_project_id',
			    'b_project_name', 'a.b_project_name',
				'b_project_thumb', 'a.b_project_thumb',
			    'b_create_date', 'a.b_create_date',
			    'state', 'a.state',	    
				'publish_up', 'a.publish_up',
				'publish_down', 'a.publish_down',
				'featured' , 'a.featured',
				'ordering', 'a.ordering',
				'access', 'a.access', 'access_level'		    
				);
		}
		parent::__construct($config);
	}

	protected function populateState($ordering = null, $direction = null)
	{
		//Getting the state of the filter state
		$published = $this->getUserStateFromRequest($this->context.'.filter.state', 'filter_state', '', 'string');
		$this->setState('filter.state', $published);
		//////////////////////////////////////
		
		//Getting the state of the filter access
		$accessId = $this->getUserStateFromRequest($this->context . '.filter.access', 'filter_access', null, 'int');
		$this->setState('filter.access', $accessId);
		/////
		
		//Getting the state of the filter search for projects
		$search = $this->getUserStateFromRequest($this->context.'.filter.search', 'filter_search');
    	$this->setState('filter.search', $search); 

    	//Getting the category id of the category filter
    	$categoryId = $this->getUserStateFromRequest($this->context . '.filter.category_id', 'filter_category_id', null);
		$this->setState('filter.category_id', $categoryId);
		
		parent::populateState('a.ordering', 'asc');
	}

	protected function getListQuery()
	{
		$db = $this->getDbo();
		$query = $db->getQuery(true);
			
		$query->select(
		$this->getState(
		    'list.select',
		    'a.catid, a.id,'.
		    ' a.b_project_id, a.b_project_name, a.b_project_thumb, a.b_create_date,'.
			' a.state, a.publish_up, a.publish_down, a.featured, a.ordering, a.access '
			)
			);

			$query->from($db->quoteName('#__behance_projects').' AS a');

		
	 	// Join over the categories.
	 	$query->select('c.title AS category_title');
		$query->join('LEFT', '#__categories AS c ON c.id = a.catid');
		
		//Join over the asset groups.
		$query->select('ag.title AS access_level')
			->join('LEFT', '#__viewlevels AS ag ON ag.id = a.access');
		
			
		// Filter by access level.
		if ($access = $this->getState('filter.access'))
		{
			$query->where('a.access = ' . (int) $access);
		}
		
		// Implement View Level Access
		$user  = JFactory::getUser();
		if (!$user->authorise('core.admin'))
		{
			$groups = implode(',', $user->getAuthorisedViewLevels());
			$query->where('a.access IN (' . $groups . ')');
		}
		
		//Checking for different filters
		//Filter by state
	 	$published = $this->getState('filter.state');
	 	if (is_numeric($published))
	 	{
	 		$query->where('a.state = '.(int) $published);
	 	}
	 	elseif ($published === '')
	 	{
	 		$query->where('(a.state IN (0, 1))');
	 	}
	 	
	 	//filter by category
	 	$categoryId = $this->getState('filter.category_id');
		if (is_numeric($categoryId))
		{
			$query->where('a.catid = ' . (int) $categoryId);
		}
	 	
		// Filter by search in title
	 	$search = $this->getState('filter.search');
	 	if (!empty($search))
	 	{
	 		if (stripos($search, 'id:') === 0)
	 		{
	 			$search = $db->Quote('%'.$db->escape(substr($search, 3), true).'%');
	 			$query->where('(a.b_project_id LIKE '.$search.' )');
	 		} else {
	 			$search = $db->Quote('%'.$db->escape($search, true).'%');
	 			$query->where('(a.b_project_name LIKE '.$search.' )');
	 		}
	 	}
	 	 
	 	 
	 	//ordering on the basis of perticular column
	 		
	 	$orderCol = $this->state->get('list.ordering');
	 	$orderDirn = $this->state->get('list.direction');
		
	 	$query->order($db->escape($orderCol.' '.$orderDirn));
	 	return $query;
	}
}