<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
jimport('joomla.log.log');


class BPortManViewProjects extends JViewLegacy
{
	//Variable that will hold the data from the model
	protected $items;
	protected $state;
	protected $pagination;

	public function display($tpl = null)
	{
		$document = JFactory::getDocument();
		$document->addStyleSheet(JURI::root().'media/com_bportman/admin/css/bportman_admin.css');
		$document->addStyleSheet('http://netdna.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css');
		$document->addScript(JURI::root().'media/com_bportman/admin/js/bportman_admin.js');
			
		$this->items = $this->get('Items');
		$this->state = $this->get('State');
		$this->pagination  = $this->get('Pagination');

		BPortManHelper::addSubmenu('projects');

		if (count($errors = $this->get('Errors')))
		{
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		// Only set the toolbar if not modal
		if ($this->getLayout() !== 'modal') {
			$this->addToolbar();
		}


		$this->sidebar = JHtmlSidebar::render();
		parent::display($tpl);
	}

	/**
	 *
	 * function to add toolbar in the admin panel section
	 */
	protected function addToolbar()
	{
		$state  = $this->get('State');
			
		$canDo = BPortManHelper::getActions($state->get('filter.category_id'));
		$user  = JFactory::getUser();
		$bar = JToolBar::getInstance('toolbar');

		JToolbarHelper::title(JText::_('COM_BPORTMAN_MANAGER_PROJECTS'), 'bportman');

		if (count($user->getAuthorisedCategories
		('com_bportman', 'core.create')) > 0)
		{
			JToolbarHelper::addNew('project.add');
		}

		if ($canDo->get('core.edit'))
		{
			JToolbarHelper::editList('project.edit');
		}

		if ($canDo->get('core.edit.state'))
		{
			JToolbarHelper::publish('projects.publish', 'JTOOLBAR_PUBLISH', true);
			JToolbarHelper::unpublish('projects.unpublish', 'JTOOLBAR_UNPUBLISH', true);
			JToolbarHelper::custom('projects.featured', 'featured.png', 'featured_f2.png', 'JFEATURED', true);
			JToolbarHelper::archiveList('projects.archive');
		}

		$state = $this->get('State');
		if ($state->get('filter.state') == -2 && $canDo->get('core.delete'))
		{
			JToolbarHelper::deleteList('', 'projects.delete', 'JTOOLBAR_EMPTY_TRASH');
		} elseif ($canDo->get('core.edit.state'))
		{
			JToolbarHelper::trash('projects.trash');
			JToolbarHelper::custom('projects.synchronize', 'loop.png', 'loop_l2.png', 'COM_BPORTMAN_TOOLBAR_SYNC', true);			
		}

		if ($canDo->get('core.admin'))
		{
			JToolbarHelper::preferences('com_bportman');
		}

		//Adding filter in the view
		JHtmlSidebar::setAction('index.php?option=com_bportman&view=projects');

		JHtmlSidebar::addFilter(
		JText::_('JOPTION_SELECT_PUBLISHED'),
		'filter_state',
		JHtml::_('select.options', JHtml::_('jgrid.publishedOptions'), 'value', 'text', $this->state->get('filter.state'), true)
		);

		JHtmlSidebar::addFilter(
		JText::_('JOPTION_SELECT_CATEGORY'),
			'filter_category_id',
		JHtml::_('select.options', JHtml::_('category.options', 'com_bportman'), 'value', 'text', $this->state->get('filter.category_id'))
		);

		JHtmlSidebar::addFilter(
		JText::_('JOPTION_SELECT_ACCESS'),
			'filter_access',
		JHtml::_('select.options', JHtml::_('access.assetgroups'), 'value', 'text', $this->state->get('filter.access'))
		);

	}

	protected function getSortFields()
	{
		return array(
			'a.ordering' => JText::_('JGRID_HEADING_ORDERING'),
			'a.state' => JText::_('JSTATUS'),
			'a.access' => JText::_('JGRID_HEADING_ACCESS'),
			'a.b_project_name' => JText::_('COM_BPORTMAN_MANAGER_TABLE_HEADER_PROJECT_NAME'),
			'a.b_project_id' => JText::_('COM_BPORTMAN_MANAGER_TABLE_HEADER_PROJECT_ID'),
			'a.b_create_date' => JText::_('COM_BPORTMAN_MANAGER_TABLE_HEADER_PROJECT_CRDATE'),	
			'a.featured'     => JText::_('JFEATURED')		
		);
	}
}
