<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla modelitem library
jimport('joomla.application.component.modelitem');

/**
 * Category Model
 */

class BPortManModelCategory extends JModelItem
{
	protected $_context = 'com_bportman.category';
	protected $projects;
	protected $category;
	
	protected function populateState()
	{
		$app = JFactory::getApplication('site');
		
		$params = $app->getParams();
		$this->setState('params', $params);
		
		$pk = $app->input->get('catid',-1,'INT');
		
		if(isset($pk) && is_int($pk) && $pk != -1)
		{
			$this->setState('category.id', $pk);	
		}
		else
			JError::raiseError(500,'');
			
	}
	
	public function getCategory()
	{
		$pk = (int) $this->getState('category.id');

		if (!isset($this->category[$pk]))
		{
			try
			{
				$db = JFactory::getDBO();
				$query = $db->getQuery(true);
				$query->select('c.id, c.title , c.description, 
									c.alias, c.access ');
				$query->from($db->quoteName('#__categories').' AS c');
				$query->where('c.extension = "com_bportman"');
				$query->where('c.published = 1');
				$query->where('c.id ='.$pk);
				$db->setQuery((string)$query);
				$this->category[$pk] = $db->loadObject();		
			}
			catch(Exception $e)
			{
				$this->setError($e);
				$this->category[$pk] =  null;
			}
		}
		return $this->category[$pk];
		
	}
	
	public function getProjects()
	{
		$catId = (int) $this->getState('category.id');
		$params = $this->getState('params');
		
		if (!is_array($this->projects))
			$this->projects = array();

		if (!isset($this->projects[$catId]))
		{
			try
			{
				$db = JFactory::getDBO();
				$query = $db->getQuery(true);
				
				$query->select(
						'a.catid, a.id,'.
					    ' a.b_project_id, a.b_project_name, a.b_project_thumb, a.b_creative_fields, a.b_create_date,'.
						' a.state, a.featured, a.access, a.ordering '
					);
					
				$query->from($db->quoteName('#__behance_projects').' AS a');
				
				$query->select('c.access AS category_access')
					->join('LEFT', '#__categories AS c on c.id = a.catid');
				
				$query->where('a.state = 1');
				
				if($params->get('show_featured'))
					$query->where('a.featured = 1');
				
				$query->where('a.catid = '. $catId);
				
				$query->order('a.ordering ASC');
				
				$db->setQuery((string)$query);
				$this->projects[$catId] = $db->loadObjectList();	
										
			}
			catch(Exception $e)
			{
				$this->setError($e);
				$this->projects[$catId] =  null;
			}
		}
		
		return $this->projects[$catId];
	}
	
	
	
	
}