<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla modelitem library
jimport('joomla.application.component.modelitem');

/**
 * Featured Model
 */
class BPortManModelFeatured extends JModelItem
{

	protected $_context = 'com_bportman.featured';
	protected $projects;
	protected $categories;
	
	protected function populateState()
	{
		$app = JFactory::getApplication('site');
		
		$params = $app->getParams();
		$this->setState('params', $params);
		
		$catIds = $app->input->get('catid', -1, 'array' );
		
		if(is_array($catIds))
		{
			if(in_array(-1,$catIds))
				$this->setState('showall', 1);
			else
				$this->setState('showall', 0);
				
				
			$pk = implode(":", $catIds);
			$this->setState('key', $pk);
			$this->setState('category.ids', $catIds);	
		}
		else
			JError::raiseError(500,'');
			
	}
	
	
	/**
	 * Function to get category details
	 */
	
	public function getCategories()
	{
		$key = $this->getState('key');
		
		if(!isset($this->categories[$key]))
		{
			if (!is_array($this->categories))
				$this->categories = array();		
			
			$catIds = $this->getState('category.ids');
			
			$db = JFactory::getDBO();
			$query = $db->getQuery(true);
			$query->select('c.id, c.title , c.description,
								c.alias, c.access ');
			$query->from($db->quoteName('#__categories').' AS c');
			$query->where('c.extension = "com_bportman"');
			$query->where('c.published = 1');
			
			if(!($this->getState('showall') && sizeof($catIds) == 1))
			{				
				$inClause = '('.implode(",", $catIds).')';
				$query->where('c.id in'.$inClause);
			}					
			$db->setQuery((string)$query);
			$this->categories[$key] = $db->loadObjectList();		
		}
		
		return $this->categories[$key];		
	}
	
	/**
	 * Get the projects
	 * @return projects to be displayed to the user
	 */
	
	
	public function getProjects()
	{
		$key = $this->getState('key');
		
		if(!isset($this->projects[$key]))
		{
			if (!is_array($this->projects))
				$this->projects = array();
							
			$catIds = $this->getState('category.ids');
			
			$db = JFactory::getDBO();
			$query = $db->getQuery(true);
			
			$query->select(
					'a.catid, a.id,'.
				    ' a.b_project_id, a.b_project_name, a.b_project_thumb, a.b_creative_fields, a.b_create_date,'.
					' a.state, a.featured, a.access, a.ordering '
				);
				
			$query->from($db->quoteName('#__behance_projects').' AS a');
			
			$query->select('c.title AS category_title, c.alias AS category_alias, c.access AS category_access')
						->join('LEFT', '#__categories AS c on c.id = a.catid');
			
			$query->where('a.state = 1');
			$query->where('a.featured = 1');
			
			if(!($this->getState('showall')))
			{				
				$inClause = '('.implode(",", $catIds).')';
				$query->where('a.catid IN '. $inClause);
			}					
			
			$query->order('a.ordering ASC');
			
			$db->setQuery((string)$query);
			$this->projects[$key] = $db->loadObjectList();	
					
		}
		return $this->projects[$key];		
	}
	
	
}