<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla modelitem library
jimport('joomla.application.component.modelitem');

require_once JPATH_ADMINISTRATOR.'/components/com_bportman/helpers/lib/Be/Client.php';

/**
 * Project Model
 */
class BPortManModelProject extends JModelItem
{
	protected $_context = 'com_bportman.project';

	protected function populateState()
	{
		$app = JFactory::getApplication('site');
		
		$params = JComponentHelper::getParams('com_bportman');
		$globalBackColor= $params->get('globalbackcolor');
		

		// Load state from the request.
		$pk = $app->input->getInt('id');
		$localBackColor = $app->input->get('localbackcolor','', 'STRING');
		
		if(!isset($localBackColor) || $localBackColor == '')
		{
			if(isset($globalBackColor) && $globalBackColor!='')
				$localBackColor = $globalBackColor;
			else
				$localBackColor = '#DEDEDE'; 
		}
		
		$this->setState('project.id', $pk);
		
		if(strpos($localBackColor,'#')==0)
			$this->setState('project.backcolor', $localBackColor);
		else 
			$this->setState('project.backcolor', '#'.$localBackColor);
		

		$params = $app->getParams();
		$this->setState('params', $params);
	}
	
	
	public function &getItem($pk = null)
	{
		$pk = (!empty($pk)) ? $pk : (int) $this->getState('project.id');

		if (!isset($this->_item[$pk]))
		{
			try
			{
				$db = $this->getDbo();
				$query = $db->getQuery(true)
					->select($this->getState('item.select', 'a.*'))
					->from('#__behance_projects AS a');
			
				$query->select('c.title AS category_title, c.alias AS category_alias, c.access AS category_access')
					->join('LEFT', '#__categories AS c on c.id = a.catid');
				
				$query->where('a.id = ' . (int) $pk);
				$query->where('a.state = 1');
						
				$db->setQuery($query);

				$data = $db->loadObject();
				if($data!= null && !empty($data))
				{
				
					$registry = new JRegistry;
					$registry->loadString($data->params);
					$data->params = clone $this->getState('params');
					$data->params->merge($registry);					
					$this->_item[$pk] = $this->getBPortManProjectData($data);
				}
				else 
					$this->_item[$pk] =  null;
				
											
			}
			catch(Exception $e)
			{
				$this->setError($e);
				$this->_item[$pk] =  null;
			}
		}
		return $this->_item[$pk];
		
	}
	
	public function getBPortManProjectData($data)
	{
		
		$result = new stdClass();
		$projectData = new stdClass();
		$params = JComponentHelper::getParams('com_bportman');
		$bAPIKey = $params->get('behance_api_key');	
			
		if(isset($bAPIKey) && $bAPIKey!='')
		{
			$clientID= trim($bAPIKey);//'41vqqO8jfneTZcNiuRzxYvoQqGcVZZxH';			
			
			$behanceProjectId = $data->b_project_id;
	
			try 
			{
	
				$api = new Be_Client( $clientID);
				$result->data = $api->getProject( $behanceProjectId , true);
				if($result->data!=null && isset($result->data))
				{
					$result->status = 'S';
					$result->access = $data->access;
					$result->params = $data->params;
					$result->category_access = $data->category_access;
				}
				else
				{
					$result->status = 'F';
					$result->data = null;				
				}
	
			}
			catch (Be_Exception $e){
				
				 $result->status='F';
				 $result->data = null;
				 
			}
		}
		else {
			$result->status = 'F';
			$result->data = null;
		}
		return $result;

	}
}