<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * HTML View class for the BPortMan Component
 */
class BPortManViewProject extends JViewLegacy
{
	// Overwriting JView display method
	protected $backColor;
	protected $bPrData;
	protected $params;
	protected $advancedParams;
	
	function display($tpl = null)
	{
		$user		= JFactory::getUser();
		$document = JFactory::getDocument();
		
		//Fetching Project Contect From Behance				
		$beResponse = $this->get('Item');
				
		if($beResponse==null || $beResponse->status != 'S')
		{
			JError::raiseWarning(404,'');
			return;
		}
		
	
		$this->bPrData= $beResponse->data;
		$this->params = $beResponse->params;	
		
		
		//Getting Background Color
		$state = $this->get('State');			
		$this->backColor =  $state->get('project.backcolor');
		
		//getting advanced Params
		$advParams = JComponentHelper::getParams('com_bportman');		
		$this->advancedParams = new stdClass();		
		$this->advancedParams->customStyle = $advParams->get('project_customstyle','');
		$this->advancedParams->showModal = $advParams->get('show_project_modal', '0');
		$this->advancedParams->showBackButton = $advParams->get('show_project_back_button','0');
		
		
		//Adding the Common Project View Sheet
		$document->addStyleSheet(JURI::root().'media/com_bportman/common/css/project_view.css');		
		$document->addStyleSheet(JURI::root().'media/com_bportman/common/css/material-design-iconic-font.min.css');
		
		
		
		//Adding CSS properties from behance
		$customCSS = ".bpm-sr-attribution{ background-image: url('".JURI::root()."media/com_bportman/common/images/by.svg'); } ";
		$customCSS .= ".bpm-sr-noncommercial{ background-image: url('".JURI::root()."media/com_bportman/common/images/nc.svg'); }";				
		$customCSS .= ".bpm-sr-noderivatives{ background-image: url('".JURI::root()."media/com_bportman/common/images/nd.svg'); } ";
		$customCSS .= ".bpm-sr-sharealike{ background-image: url('".JURI::root()."media/com_bportman/common/images/sa.svg'); } ";
		$customCSS .= ".bpm-sr-zero{ background-image: url('".JURI::root()."media/com_bportman/common/images/zero.svg'); } ";
		$customCSS .= "#bop-container{ background-color:". $this->backColor . ";	} ";
		
		if(isset($this->bPrData['canvas_width']) && !empty($this->bPrData['canvas_width'])){
			$customCSS .= "#bop-project-left { max-width:". $this->bPrData['canvas_width'] ."px; } ";
		}else{
			$customCSS .= "#bop-project-left { max-width:724px; } ";
		}
		
		$customCSS .= "#bop-project-left .bop-primary-project-content{";
		
		if(isset($this->bPrData['styles']['background']['color']))
			$customCSS .= "	background-color: #" . $this->bPrData['styles']['background']['color'] . ";";
			
		if(isset($this->bPrData['styles']['background']['image']['url']))
			$customCSS .= "background-image: url('" . $this->bPrData['styles']['background']['image']['url'] ."');";
	
		if(isset($this->bPrData['styles']['background']['image']['repeat'])){
			$customCSS .= "background-repeat: ". $this->bPrData['styles']['background']['image']['repeat'] . ";";
			
			if($this->bPrData['styles']['background']['image']['repeat'] == "repeat")
				$customCSS .= "background-size: auto";	
			else
				$customCSS .= "background-size: 100% auto;";
		}
	
		if(isset($this->bPrData['styles']['background']['image']['position']))
			$customCSS .= "background-position:". $this->bPrData['styles']['background']['image']['position'] .";";
				
		$customCSS .= " overflow-x: hidden; } ";
			
		if( isset( $this->bPrData['styles']['text']['title'] ) ){
			
			$customCSS .= " .bop-primary-project-content .title{";
			
			foreach($this->bPrData['styles']['text']['title'] as $pName => $pValue){
				$pName = str_replace('_','-' , $pName);
				$customCSS .= $pName.':'.$pValue.';';
			}
			
			$customCSS .= " }";
		}
		
		if( isset( $this->bPrData['styles']['text']['subtitle'] ) ){
			
			$customCSS .= " .bop-primary-project-content .sub-title{";
			
			foreach($this->bPrData['styles']['text']['subtitle'] as $pName => $pValue){
				$pName = str_replace('_','-' , $pName);
				$customCSS .= $pName.':'.$pValue.';';
			}
			
			$customCSS .= " }";
		}
		
		if( isset( $this->bPrData['styles']['text']['paragraph'] ) ){
			
			$customCSS .= " .bop-primary-project-content p, .bop-primary-project-content .main-text{";
			
			foreach($this->bPrData['styles']['text']['paragraph'] as $pName => $pValue){
				if( $pName != 'display') {
					$pName = str_replace('_','-' , $pName);
					$customCSS .= $pName.':'.$pValue.';';
				}
			}
			
			$customCSS .= " }";
		}
		
		if( isset( $this->bPrData['styles']['text']['caption'] ) ){
			
			$customCSS .= " .bop-primary-project-content .caption{";
			
			foreach($this->bPrData['styles']['text']['caption'] as $pName => $pValue){
				$pName = str_replace('_','-' , $pName);
				$customCSS .= $pName.':'.$pValue.';';
			}
			
			$customCSS .= " }";
		}
		
		if( isset( $this->bPrData['styles']['text']['link'] ) ){
			
			$customCSS .= " .bop-primary-project-content a{";
			
			foreach($this->bPrData['styles']['text']['link'] as $pName => $pValue){
				$pName = str_replace('_','-' , $pName);
				$customCSS .= $pName.':'.$pValue.';';
			}
			
			$customCSS .= " }";
		}
		
		
		$show_project_sidebar = $this->params->get('show_project_by') || 
								($this->params->get('show_about_project') && $this->bPrData['description']!=null && strlen($this->bPrData['description'])) || 
								$this->params->get('show_publish_date') || 
								($this->params->get('show_tools_used') && $this->bPrData['tools']!=null && sizeof($this->bPrData['tools']));
		
								
		if( !$show_project_sidebar ){
			$customCSS .= " #bop-project-left{	margin-right: 0; } ";	
		}	
							
		$document->addStyleDeclaration($customCSS);

		
		//Adding Custom Styles added by user
		if( strcmp ( $this->advancedParams->customStyle , '' ) != 0)
			$document->addStyleDeclaration($this->advancedParams->customStyle);	
			
		//ADding jquery
		JHtml::_('jquery.framework');
		
		$document->addScript(JURI::root().'media/com_bportman/site/js/bportman_site.js');
		
		//Adding script to load css dynamically based on the projecct container size
		$document->addScriptDeclaration('			
			(function($){
				$(document).ready(function(){
				
					$("nav.bpm-top-info-nav li ul").hide().removeClass("fallback");
					$("nav.bpm-top-info-nav li").hover(function () {
						$("ul", this).stop().slideToggle(200);
					});
					
					$("#bop-waiting-popup").show();
					
					var cssFile = "";
					
					var width = $("#bop-all-wrapper").parent().innerWidth();
							
					if(width<=959 && width>625)
						cssFile = "bop-responsive-626.css";
					else if(width<=625 && width>479)					
						cssFile = "bop-responsive-480.css";						
					else if(width<=479)
						cssFile = "bop-responsive-320.css";			
					
					if(cssFile != "")
					{
						var cssURL = "'.JURI::root().'media/com_bportman/common/css/" + cssFile;
						$.ajax({
						  url: cssURL					  
						}).done(function( data ) {
							$(\'<style type="text/css">\' + data + \'</style>\').appendTo("head");								
							$("#bop-waiting-popup").hide();
							$("#bop-project").animate({opacity : 1},1000);																			    
						});
					}else{									
						$("#bop-waiting-popup").hide();					
						$("#bop-project").animate({opacity : 1}, 1000);					
					}				
					
					bopHandler.handleProjectDesc($);	
					
				});
			})(jQuery);
		');	
		
		
		//Authorizing User
		$levels = $user->getAuthorisedViewLevels();			
		if (!in_array($beResponse->access, $levels) or ((in_array($beResponse->access, $levels) and (!in_array($beResponse->category_access, $levels)))))
		{
			JError::raiseWarning(403, JText::_('JERROR_ALERTNOAUTHOR'));
			return;
		}		
		
		parent::display($tpl);			
	}
}