<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * HTML View class for the BPortMan Component
 */
class BPortManViewProject extends JViewLegacy
{
	// Overwriting JView display method
	protected $backColor;
	protected $bPrData;
	protected $params;
	protected $advancedParams;
	
	function display($tpl = null)
	{
		$user		= JFactory::getUser();
		$document = JFactory::getDocument();
		
		//getting advanced Params
		$advParams = JComponentHelper::getParams('com_bportman');
		
		$this->advancedParams = new stdClass();
		$this->advancedParams->responsiveView = $advParams->get('responsive_project_view', '1');
		$this->advancedParams->customStyle = $advParams->get('project_customstyle','');
		$this->advancedParams->showModal = $advParams->get('show_project_modal', '0');
		$this->advancedParams->showBackButton = $advParams->get('show_project_back_button','0');
		
		$document->addStyleSheet('components/com_bportman/helpers/html/css/project_view.css');
		
		if(intval($this->advancedParams->responsiveView))
			$document->addStyleSheet('components/com_bportman/helpers/html/css/bop-responsive-style.css');
		else
			$document->addStyleSheet('components/com_bportman/helpers/html/css/bop-static-style.css');
		
		$document->addStyleSheet('http://netdna.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css');
		
		if( strcmp ( $this->advancedParams->customStyle , '' ) != 0)
			$document->addStyleDeclaration($this->advancedParams->customStyle);
		
		//ADding jquery
		JHtml::_('jquery.framework');
		
		
		$state = $this->get('State');
			
		$this->backColor =  $state->get('project.backcolor');
		
		$beResponse = $this->get('Item');
				
		if($beResponse==null || $beResponse->status != 'S')
		{
			JError::raiseWarning(404,'');
			return;
		}
		
		$levels = $user->getAuthorisedViewLevels();			
		if (!in_array($beResponse->access, $levels) or ((in_array($beResponse->access, $levels) and (!in_array($beResponse->category_access, $levels)))))
		{
			JError::raiseWarning(403, JText::_('JERROR_ALERTNOAUTHOR'));
			return;
		}
		
		$this->bPrData= $beResponse->data;
		$this->params = $beResponse->params;	
		
		parent::display($tpl);			
	}
}